# draugr.torch_utilities.system.device.global_torch_device

draugr.torch_utilities.system.device.global_torch_device(device_preference: Optional [ Union [ bool , str , TorchDeviceEnum ]] = None, override: Optional [device] = None, verbose: bool = False) → device

  first time call stores to device for global reference, later call must explicitly manually override!

  Parameters

    - verbose –

    - device_preference –

    - override –

  Returns

  Return type